
Prewikka - Bug #208

Prewikka crashes when reading correlator alerts

03/27/2007 12:53 AM - Sebastien Tricaud

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

How to reproduce the bug:

In Prewikka, when my server is subject to bruteforce attacks, it does ssh logins failures and prelude-correlator make a high risk

assessment titled "Brute Force Attack". However when I want details and click on the alert, I get Prewikka crashing.

What the error is:

object does not support item assignment

Traceback (most recent call last):

  File "/usr/lib/python2.4/site-packages/prewikka/Core.py", line 307, in process

    getattr(view_object, view[[handler]])()

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 1075, in render

    total = self._setMessages(criteria)

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 1033, in _setMessag

es

    dataset = self._setMessage(message, ident)

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 673, in _setMessage

    msg.setMessage(message, ident)

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 615, in setMessage

    self.setMessageInfo(message, ident)

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 582, in setMessageI

nfo

    self.setMessageCorrelationAlertInfo(message, ident)

  File "/usr/lib/python2.4/site-packages/prewikka/views/alertlisting.py", line 566, in setMessageC

orrelationAlertInfo

    ca_params[[timeline_unit]] = "unlimited" 

[[TypeError]]: object does not support item assignment

History

#1 - 03/27/2007 11:10 AM - Sebastien Tricaud

- Status changed from New to Closed

- Resolution set to fixed

This is fixed in SVN. I guess from changeset #8947.

#2 - 04/29/2009 12:21 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prewikka

- Category deleted (5)
